Package org.apache.wiki.spi

# Class EngineSPIDefaultImpl

java.lang.Object
org.apache.wiki.spi.EngineSPIDefaultImpl

All Implemented Interfaces:
  `EngineSPI`

public class EngineSPIDefaultImpl extends Object implements EngineSPI
Default implementation for `EngineSPI`

See Also:
  - `EngineSPI`

## Constructor Summary

Constructors
Constructor
Description
`EngineSPIDefaultImpl()`

## Method Summary

Modifier and Type
Method
Description
`Engine`
`find(javax.servlet.ServletContext context, Properties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EngineSPIDefaultImpl

public EngineSPIDefaultImpl()

## Method Details

### find

public Engine find(javax.servlet.ServletContext context, Properties props)

Specified by:
  `find` in interface `EngineSPI`